org.apache.lucene.geo

## Class XYPolygon2D

- java.lang.Object
- - org.apache.lucene.geo.Polygon2D
  - - org.apache.lucene.geo.XYPolygon2D

All Implemented Interfaces:
  Component2D

    public class XYPolygon2D
    extends Polygon2D

2D cartesian polygon implementation represented as a balanced interval tree of edges.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.lucene.geo.Component2D

`Component2D.WithinRelation`

### Field Summary

### Fields inherited from class org.apache.lucene.geo.Polygon2D

`holes`

### Constructor Summary

Constructors
`protected` `XYPolygon2D(XYPolygon polygon, Component2D holes)`

### Method Summary

All Methods Static Methods Concrete Methods
`static Component2D` `create(XYPolygon... polygons)` Builds a Polygon2D from multipolygon

### Methods inherited from class org.apache.lucene.geo.Polygon2D

`contains, create, getMaxX, getMaxY, getMinX, getMinY, relate, relateTriangle, withinTriangle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.lucene.geo.Component2D

`containsPoint, disjoint, pointInTriangle, relateTriangle, within, withinTriangle`

### Constructor Detail

#### XYPolygon2D

    protected XYPolygon2D(XYPolygon polygon,
                          Component2D holes)

### Method Detail

#### create

    public static Component2D create(XYPolygon... polygons)

Builds a Polygon2D from multipolygon